package com.hungraim.ltc.pojo.vo.disable;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvOrganEmp;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class SrvOrganEmpListVo extends ChSrvOrganEmp {

    /**
     * 护理人员资质名称
     */
    private String typeName;

    /**
     * 文化水平
     */
    private String eduCode;

    /**
     * 护理机构名称
     */
    private String srvOrganName;

    /**
     * 适用机构名称
     */
    private String organName;

    /**
     * 统一社会信用代码
     */
    private String unifiedSocialCreditCode;

    /**
     * 审核状态（0-未审核,1-审核中,2-审核通过,3-审核不通过）
     */
    private Short   auditStatus;

    /**
     * 审核人id
     */
    private Integer auditUserId;

    /**
     * 审核时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date auditDate;

    /**
     * 审核原因
     */
    private String auditReason;


}
